Opened 10 years ago

Closed 9 years ago

#7636 closed patch (fixed)

mythweb doesn't work with fcgi

Reported by: ajlill@… Owned by: Rob Smith
Priority: minor Milestone: unknown
Component: Plugin - MythWeb Version: 0.22
Severity: high Keywords:
Cc: Ticket locked: no

Description

The variables ORIG_SCRIPT_NAME and ORIG_PATH_INFO don't contain what you expect them to. This blocks you at the welcome page which just complains about 'unknown module' (or it would if there wasn't a bug in your error page).

The actual values under fcgi are

'ORIG_PATH_INFO' => '/mythweb/mythweb.php', 'ORIG_SCRIPT_NAME' => '/fcgi-bin/php-fcgi-wrapper'

The attached patch ignores those variables if it thinks it's running under fcgi

Attachments (1)

mythplugins.patch (1.4 KB) - added by Tony Lill <ajlill@…> 10 years ago.

Download all attachments as: .zip

Change History (2)

Changed 10 years ago by Tony Lill <ajlill@…>

Attachment: mythplugins.patch added

comment:1 Changed 9 years ago by Rob Smith

Resolution: fixed
Status: newclosed

(In [23678]) Fixes #7636, this should fix fcgi support for mythweb

Note: See TracTickets for help on using tickets.